質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.61%

レンタルサーバー(valueserver)にて、laravel5.4をインストール時にエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,686

score 8

valueserverにて、laravel5.4をインストールしようとしています。
phpは5.6モジュール版を使用する想定です。

composerはCLI版から実行しています。

which composer
alias composer='php56cli ~/composer.phar'
    /usr/local/bin/php56cli

laravelの要件であるモジュールは揃っています。

php -m | grep -i -e pdo -e mbstring -e xml
libxml
mbstring
PDO
pdo_dblib
PDO_Firebird
pdo_mysql
PDO_ODBC
pdo_pgsql
pdo_sqlite
SimpleXML
xml
xmlreader
xmlrpc
xmlwriter

この状態で以下のコマンド実行時にエラーがでます。
ご教示のほどよろしくお願い致します。

コマンド

composer create-project laravel/laravel --prefer-dist testapp 5.4.*


エラー内容

...
(略)

phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
Writing lock file
Generating autoload files
> Illuminate\Foundation\ComposerScripts::postUpdate
> php artisan optimize
PHP Notice:  Undefined index: argv in /virtual/webuser/public_html/testsite/testapp/vendor/symfony/console/Input/ArgvInput.php on line 53
PHP Stack trace:
PHP   1. {main}() /virtual/webuser/public_html/testsite/testapp/artisan:0
PHP   2. Symfony\Component\Console\Input\ArgvInput->__construct() /virtual/webuser/public_html/testsite/testapp/artisan:33
PHP Warning:  array_shift() expects parameter 1 to be array, null given in /virtual/webuser/public_html/testsite/testapp/vendor/symfony/console/Input/ArgvInput.php on line 57
PHP Stack trace:
PHP   1. {main}() /virtual/webuser/public_html/testsite/testapp/artisan:0
PHP   2. Symfony\Component\Console\Input\ArgvInput->__construct() /virtual/webuser/public_html/testsite/testapp/artisan:33
PHP   3. array_shift() /virtual/webuser/public_html/testsite/testapp/vendor/symfony/console/Input/ArgvInput.php:57

In ArgvInput.php line 300:

  Invalid argument supplied for foreach()  


Content-type: text/html; charset=UTF-8

Script php artisan optimize handling the post-update-cmd event returned with error code 1
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

composerでパッケージのインストール後
laravelの最適化

php artisan optimize

で落ちているようです。

ここでの php のバージョンはいくつでしょうか
cliで実行する場合は、サーバによって

php7.1 php5.6 のように、バージョン付きのコマンドがあるはずなのでそれを確認してみてください

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/04/06 23:31

    ご回答ありがとうございます。
    phpのバージョンは5.6になります。
    バージョン付きのコマンドというのはどちらになりますでしょうか・・?
    調べてみましたが、思い当たるものがなく・・・。

    キャンセル

  • 2019/04/07 13:09

    レンタルサーバでよくあるのは
    コントロールパネルから設定するphpのバージョン(mod_phpのバージョン)と
    sshして実行するphpのバージョンが違うことがあります。(xserverのようなhtaccessでphpのバージョンを指定するサーバがそうです)
    ですので、今一度、sshで使うphpとサーバとして使われるphpのバージョンを確認していただいた方が良いかと思います。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.61%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る